@import "../../assets/variables";

.table {
  box-shadow: 0 1px 0 1px $color-border;
  border-radius: 4px;
  overflow: auto;
  background: $color-light;

  &__table {
    width: 100%;
    border-collapse: collapse;
  }

  &__cell {
    &--head {
      padding: 6px 0 7px 13px;
      text-align: left;
      background: $color-primary;
      color: $color-light;
      border: 1px solid $color-primary;
    }
    &--body {
      border: 1px solid $color-border;
      font-size: 13px;
      padding: 8px  7px 13px;
    }
    &-content {
      overflow: hidden;
      text-overflow: ellipsis;
    }
  }

  &__body-row {
    transition: background-color .1s ease;
    will-change: background-color;

    &:hover {
      background: transparentize($color-info, .95);
    }
  }
}